## ros-humble-unitree-ros 1.1.1

=== debian/changelog ===
ros-humble-unitree-ros (1.1.1-1bookworm) bookworm; urgency=high

  * Merge pull request #22 <https://github.com/snt-arg/unitree_ros/issues/22> from snt-arg/dev
    fix: import error (#21 <https://github.com/snt-arg/unitree_ros/issues/21>)
  * fix: import error (#21 <https://github.com/snt-arg/unitree_ros/issues/21>)
    This commit fixes issue (#21 <https://github.com/snt-arg/unitree_ros/issues/21>) and changes the way we use the launch
    file. Now we only need use wifi:=true instead of passing the robot ip.
  * chore: update gitignore to conform ros2 development
  * Merge pull request #20 <https://github.com/snt-arg/unitree_ros/issues/20> from snt-arg/PedroS235-patch-1
    docs: update installation with apt
  * docs: update installation with apt
  * Contributors: Pedro Soares

 -- Pedro Soares <pmbs.123@gmail.com>  Wed, 24 Apr 2024 16:00:00 -0000

ros-humble-unitree-ros (1.1.0-1bookworm) bookworm; urgency=high

  * fix: only make foxy CI run on the foxy branch
  * chore: merge changes made in foxy branch
  * build: fix deprecation warning
  * build: add boost build dependency
  * build: add missing depdendencies for tf2 in package.xml
  * chore: change submodule url to https
  * Merge pull request #19 <https://github.com/snt-arg/unitree_ros/issues/19> from snt-arg/PedroS235-patch-3
    docs: fix some miscellaneous typos
  * docs: fix some miscellaneous typos
  * Update README.md
  * Merge pull request #18 <https://github.com/snt-arg/unitree_ros/issues/18> from snt-arg/PedroS235-patch-2
    chore: update license to GPL
  * chore: update license to GPL
  * Merge pull request #17 <https://github.com/snt-arg/unitree_ros/issues/17> from snt-arg/feature/license
    [Misc] Update license to GPLv3
  * [Misc] Update license to GPLv3
  * Merge pull request #16 <https://github.com/snt-arg/unitree_ros/issues/16> from snt-arg/PedroS235-patch-1
    docs(fix): specify the unitree go1 edu version
  * docs(fix): specify the unitree go1 edu version
  * Update README.md
  * Contributors: Hriday Bavle, Pedro Soares

 -- Pedro Soares <pmbs.123@gmail.com>  Sun, 24 Mar 2024 16:00:00 -0000

ros-humble-unitree-ros (1.0.0-1bookworm) bookworm; urgency=high

  * Update README.md
  * fix(docs): TOC
  * feat(docs): add emojis
  * refactor(docs): clean description
  * fix(docs): change info alert to note
  * feat(docs): make documentation up to date
    * Improve description
    * Add new published topic /sensor_ranges
    * Update bms topic name
    * Correct dependencies
  * Contributors: Pedro Soares

 -- Pedro Soares <pmbs.123@gmail.com>  Wed, 07 Feb 2024 16:00:00 -0000

ros-humble-unitree-ros (0.2.1-1bookworm) bookworm; urgency=high

  * feat(launch): add robot_ip argument for easier change
  * Contributors: Pedro Soares

 -- Pedro Soares <pmbs.123@gmail.com>  Wed, 07 Feb 2024 16:00:00 -0000

ros-humble-unitree-ros (0.2.0-1bookworm) bookworm; urgency=high

  * fix(driver): quaternion has been corrected
  * style(config): apply formatter
  * refactor(docs): remove instructions for only foxy distro
  * chore: update unitree sdk submodule (#15 <https://github.com/snt-arg/unitree_ros/issues/15>)
  * feat(docs): add build status for ros distros
  * feat(actions): add workflow names
  * feat(actions): move each distro build to separate workflows
  * feat(ci): add humble and iron docker images to the pipeline
  * feat(docker): create seperate images for distros humble and iron
  * fix(docker): remove ssh keys from the image
  * fix: add missing includes
  * chore: update submodule to use snt-arg fork
  * Contributors: Pedro Soares

 -- Pedro Soares <pmbs.123@gmail.com>  Wed, 07 Feb 2024 16:00:00 -0000

ros-humble-unitree-ros (0.1.9-1bookworm) bookworm; urgency=high



 -- Pedro Soares <pmbs.123@gmail.com>  Thu, 01 Feb 2024 16:00:00 -0000

ros-humble-unitree-ros (0.1.8-1bookworm) bookworm; urgency=high

  * feat(driver): increase the receive high state rate to 2ms
  * docs: update license and add a section comming soon
  * chore: update licence to snt non commercial
  * chore: bump version
  * feat: update sdk to latest version
  * build: add sensor ranges msg
  * fix: fix quaternions and imu
  * feat: add a serializer for sensor ranges
  * refactor: change orientation to quarternion
  * feat: increase the odometry publish rate
  * refactor: clean the launch file
  * fix: change base_link frame id to base_link
  * [docs] Remove temporary command from installation guide
  * [docs] Correct typos and remove emojis from titles
    With emojis on the titles, the hyperlinks were not working for some reason on GitHub.
  * [build(fix)] Fix the problem of linking the faceLight library
  * [docs] Add gifs demonstrating statuses LEDs
  * Merge pull request #14 <https://github.com/snt-arg/unitree_ros/issues/14> from snt-arg/dev
    [Hotfix] Fix problem with the initial battery level check
  * [docs] Fix toc links and added a required installation command
  * Merge branch 'dev' of github.com:snt-arg/unitree_ros into dev
  * [fix] Add a delay before readin battery level when starting
  * Merge pull request #13 <https://github.com/snt-arg/unitree_ros/issues/13> from snt-arg/dev
    Tweeks to the driver and documentation
  * [docs] Add emojis to titles
  * [fix] Remove the rest of the unused message files
  * [build] Remove unecessary message files
  * [chore] Remove unecessary message files
  * [refactor] Add some missing docstrings and removed dead code
  * Merge branch 'dev' of github.com:snt-arg/unitree_ros into dev
  * [chore] Change unitree_dat to common_defines
  * [chore] Change unitree_data to common_defines
  * [docs] Fix toc
  * [docs] Improve ros topics section and add a paramers table
  * [docs] Apply formatting
  * [refactor] Remove unused ros timer and its callback function
  * [docs] Fix typos
  * Update README.md
    [docs] Fix the table of contents
  * [docs] Add a table of contents and fixed some typos
  * Merge pull request #12 <https://github.com/snt-arg/unitree_ros/issues/12> from snt-arg/dev

